## org.gnu.gtk
Class CellLayoutHelper

    java.lang.Object
      org.gnu.gtk.CellLayoutHelper

public class CellLayoutHelper
extends java.lang.Object

Internal helper class for classes that implement the `CellLayout` interface. Applications normally shouldn't use this class.

Constructor Summary
`CellLayoutHelper()`

Method Summary
`static void` `addAttributeMapping(CellLayout layout, CellRenderer renderer, CellRendererAttribute attribute, DataColumn column)`
`static void` `clear(CellLayout layout)`
`static void` `clearAttributeMappings(CellLayout layout, CellRenderer renderer)`
`static void` `packEnd(CellLayout layout, CellRenderer renderer, boolean expand)`
`static void` `packStart(CellLayout layout, CellRenderer renderer, boolean expand)`
`static void` `reorder(CellLayout layout, CellRenderer renderer, int position)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CellLayoutHelper

    public CellLayoutHelper()

Method Detail

### packStart

    public static void packStart(CellLayout layout,
                                 CellRenderer renderer,
                                 boolean expand)

### packEnd

    public static void packEnd(CellLayout layout,
                               CellRenderer renderer,
                               boolean expand)

### clear

    public static void clear(CellLayout layout)

### addAttributeMapping

    public static void addAttributeMapping(CellLayout layout,
                                           CellRenderer renderer,
                                           CellRendererAttribute attribute,
                                           DataColumn column)

### clearAttributeMappings

    public static void clearAttributeMappings(CellLayout layout,
                                              CellRenderer renderer)

### reorder

    public static void reorder(CellLayout layout,
                               CellRenderer renderer,
                               int position)